aboutsummaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2021-09-05 23:52:30 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2021-09-07 17:43:38 +0200
commitedbc3c52339c596ada3226f2c008b0743208cdb7 (patch)
tree58b5bf3bb30e18988bbda72673efa775847e6c20 /eclass
parentqt5-build.eclass: Introduce QT5_PV for intra-dev-qt deps (diff)
downloadqt-edbc3c52339c596ada3226f2c008b0743208cdb7.tar.gz
qt-edbc3c52339c596ada3226f2c008b0743208cdb7.tar.bz2
qt-edbc3c52339c596ada3226f2c008b0743208cdb7.zip
qt5-build.eclass: Downpatch version of live to 5.15.2 too
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/qt5-build.eclass8
1 files changed, 5 insertions, 3 deletions
diff --git a/eclass/qt5-build.eclass b/eclass/qt5-build.eclass
index a320a78d..8756d6e5 100644
--- a/eclass/qt5-build.eclass
+++ b/eclass/qt5-build.eclass
@@ -128,13 +128,15 @@ EXPORT_FUNCTIONS src_prepare src_configure src_compile src_install src_test pkg_
qt5-build_src_prepare() {
qt5_prepare_env
- if [[ -n ${KDE_ORG_COMMIT} ]]; then
+ if [[ ${QT5_BUILD_TYPE} == live ]] || [[ -n ${KDE_ORG_COMMIT} ]]; then
# Upstream bumped version in 5.15 branch after 5.15.2 release but their
# 5.15.3 release is closed and this will never be more than a Qt 5.15.2
# with patches on top.
- einfo "Preparing KDE Qt5PatchCollection snapshot at ${KDE_ORG_COMMIT}"
+ if [[ -n ${KDE_ORG_COMMIT} ]]; then
+ einfo "Preparing KDE Qt5PatchCollection snapshot at ${KDE_ORG_COMMIT}"
+ mkdir -p .git || die # need to fake a git repository for configure
+ fi
sed -e "/^MODULE_VERSION/s/5\.15\.[3456789]/${QT5_PV}/" -i .qmake.conf || die
- mkdir -p .git || die # need to fake a git repository for configure
fi
if [[ ${QT5_MODULE} == qtbase ]]; then